[arch-commits] Commit in django/repos/extra-any (PKGBUILD PKGBUILD)

Jelle van der Waa jelle at archlinux.org
Wed May 26 15:18:53 UTC 2021


    Date: Wednesday, May 26, 2021 @ 15:18:52
  Author: jelle
Revision: 416479

archrelease: copy trunk to extra-any

Added:
  django/repos/extra-any/PKGBUILD
    (from rev 416478, django/trunk/PKGBUILD)
Deleted:
  django/repos/extra-any/PKGBUILD

----------+
 PKGBUILD |  100 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 50 insertions(+), 50 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-05-26 15:18:47 UTC (rev 416478)
+++ PKGBUILD	2021-05-26 15:18:52 UTC (rev 416479)
@@ -1,50 +0,0 @@
-# Maintainer: Angel Velasquez <angvp at archlinux.org>
-# Maintainer: Dan McGee <dan at archlinux.org>
-# Contributor: Shahar Weiss <sweiss4 at gmx.net>
-
-pkgbase=django
-pkgname=('python-django')
-pkgver=3.2.3
-pkgrel=1
-pkgdesc="A high-level Python Web framework that encourages rapid development and clean design"
-arch=('any')
-license=('BSD')
-url="http://www.djangoproject.com/"
-checkdepends=('python-pytest' 'python-tblib')
-makedepends=('python' 'python-setuptools')
-depends=('python' 'python-setuptools' 'python-pytz' 'python-sqlparse' 'python-asgiref')
-# TODO: package and add python-pymemcache https://docs.djangoproject.com/en/dev/topics/cache/
-optdepends=('python-psycopg2: for PostgreSQL backend'
-            'python-argon2_cffi: for Argon2 password hashing support')
-source=("Django-$pkgver.tar.gz::https://www.djangoproject.com/download/$pkgver/tarball/")
-sha512sums=('a1f9f9661f1a851a00387007f5079615e70ad2357a3a99a1b4a77da6a31419b22fd9d321b8d9737092a02a3055df76cee2aa69404b804b392d94d3423d54b0f8')
-
-build() {
-  cd "$srcdir/Django-$pkgver"
-  python setup.py build
-}
-
-package_python-django() {
-  cd "$srcdir/Django-$pkgver"
-
-  # fix reproducibility of .pyc files
-  export PYTHONHASHSEED=0
-
-  python setup.py install --root="$pkgdir" --optimize=1
-
-  ln -s django-admin.py "$pkgdir"/usr/bin/django-admin3.py
-  ln -s django-admin "$pkgdir"/usr/bin/django-admin3
-  install -Dm644 extras/django_bash_completion \
-    "$pkgdir"/usr/share/bash-completion/completions/django-admin.py
-  ln -s django-admin.py \
-    "$pkgdir"/usr/share/bash-completion/completions/django-admin
-  ln -s django-admin.py \
-    "$pkgdir"/usr/share/bash-completion/completions/manage.py
-
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-check() {
-  cd "$srcdir/Django-$pkgver"
-  PYTHONPATH="$PWD" python tests/runtests.py || echo 'tests failed'
-}

Copied: django/repos/extra-any/PKGBUILD (from rev 416478, django/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-05-26 15:18:52 UTC (rev 416479)
@@ -0,0 +1,50 @@
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Dan McGee <dan at archlinux.org>
+# Contributor: Shahar Weiss <sweiss4 at gmx.net>
+
+pkgbase=django
+pkgname=('python-django')
+pkgver=3.2.3
+pkgrel=2
+pkgdesc="A high-level Python Web framework that encourages rapid development and clean design"
+arch=('any')
+license=('BSD')
+url="http://www.djangoproject.com/"
+checkdepends=('python-pytest' 'python-tblib')
+makedepends=('python' 'python-setuptools')
+depends=('python' 'python-pytz' 'python-sqlparse' 'python-asgiref')
+# TODO: package and add python-pymemcache https://docs.djangoproject.com/en/dev/topics/cache/
+optdepends=('python-psycopg2: for PostgreSQL backend'
+            'python-argon2_cffi: for Argon2 password hashing support')
+source=("Django-$pkgver.tar.gz::https://www.djangoproject.com/download/$pkgver/tarball/")
+sha512sums=('a1f9f9661f1a851a00387007f5079615e70ad2357a3a99a1b4a77da6a31419b22fd9d321b8d9737092a02a3055df76cee2aa69404b804b392d94d3423d54b0f8')
+
+build() {
+  cd "$srcdir/Django-$pkgver"
+  python setup.py build
+}
+
+package_python-django() {
+  cd "$srcdir/Django-$pkgver"
+
+  # fix reproducibility of .pyc files
+  export PYTHONHASHSEED=0
+
+  python setup.py install --root="$pkgdir" --optimize=1
+
+  ln -s django-admin.py "$pkgdir"/usr/bin/django-admin3.py
+  ln -s django-admin "$pkgdir"/usr/bin/django-admin3
+  install -Dm644 extras/django_bash_completion \
+    "$pkgdir"/usr/share/bash-completion/completions/django-admin.py
+  ln -s django-admin.py \
+    "$pkgdir"/usr/share/bash-completion/completions/django-admin
+  ln -s django-admin.py \
+    "$pkgdir"/usr/share/bash-completion/completions/manage.py
+
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+check() {
+  cd "$srcdir/Django-$pkgver"
+  PYTHONPATH="$PWD" python tests/runtests.py || echo 'tests failed'
+}



More information about the arch-commits mailing list